### Function

# Pango parse_style

#### Declaration [src]

    gboolean
    pango_parse_style (
      const char* str,
      PangoStyle* style,
      gboolean warn
    )

#### Description [src]

Parses a font style.

The allowed values are “normal”, “italic” and “oblique”, case variations being ignored.

#### Parameters

`str`

  Type: `const char*`

  A string to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`style`

  Type: `PangoStyle`

  A `PangoStyle` to store the result in.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`warn`

  Type: `gboolean`

  If `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Type: `gboolean`

`TRUE` if `str` was successfully parsed.